## pyfai 0.17.0+dfsg1

=== requirements.txt ===
numpy
cython
fabio
scipy
matplotlib
numexpr
h5py
silx

=== debian/changelog ===
pyfai (0.17.0+dfsg1-3) unstable; urgency=medium

  [ Alexandre Marie ]
  * d/t/control Changed the command line that run the tests.

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Thu, 10 Jan 2019 10:35:17 +0100

pyfai (0.17.0+dfsg1-2) unstable; urgency=medium

  * d/p/0004-Skipped-unittests-for-i386-arch.patch (Closes: #916292).
  * d/rules: Build doc only with python3.
  * d/p/0005-Hid-fvisibility-and-D.patch: Fixed FTBFS on unstable.

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Mon, 07 Jan 2019 16:25:17 +0100

pyfai (0.17.0+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/t/control.dep8 -> d/t/control pyfai export the pyFAI module and not
    pyfai as expected by autodep8.
  * Switched pyfai scripts to python3
  * d/control: Removed useless pymca5 dependencies.
  * d/rules: do not run QT tests

  [ Alexandre Marie ]
  * New upstream version 0.17.0+dfsg1

 -- Alexandre Marie <alexandre.marie@synchrotron-soleil.fr>  Thu, 20 Dec 2018 12:06:10 +0100

=== debian/control ===
Source: pyfai
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               debhelper (>= 10),
               dh-python,
               help2man,
               libjs-mathjax,
               pandoc <!nodoc>,
               python-all-dbg,
               python-all-dev,
               python-fabio (>= 0.3.0+dfsg-1~),
               python-fabio-dbg (>= 0.3.0+dfsg-1~),
               python-h5py,
               python-h5py-dbg,
               python-matplotlib,
               python-matplotlib-dbg,
               python-numexpr,
               python-numexpr-dbg,
               python-numpy,
               python-numpy-dbg,
               python-pyopencl,
               python-pyopencl-dbg,
               python-pyqt5,
               python-pyqt5-dbg,
               python-scipy,
               python-scipy-dbg,
               python-setuptools,
               python-silx (>= 0.8.0),
               python-silx-dbg (>= 0.8.0),
               python-tk,
               python-tk-dbg,
               python3-all-dbg,
               python3-all-dev,
               python3-fabio,
               python3-fabio-dbg,
               python3-h5py,
               python3-h5py-dbg,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-nbsphinx <!nodoc>,
               python3-numexpr,
               python3-numexpr-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python3-pyopencl,
               python3-pyopencl-dbg,
               python3-pyqt5,
               python3-pyqt5-dbg,
               python3-scipy,
               python3-scipy-dbg,
               python3-setuptools,
               python3-silx (>= 0.8.0),
               python3-silx-dbg (>= 0.8.0),
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               python3-tk,
               python3-tk-dbg,
               xauth,
               xvfb
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/pyfai
Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
Homepage: https://github.com/silx-kit/pyFAI

Package: pyfai
Architecture: all
Depends: python3-pyfai (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.

Package: python-pyfai
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Breaks: pyfai (<< 0.11.0+dfsg-2), ${python:Breaks}
Replaces: pyfai (<< 0.11.0+dfsg-2)
Description: Fast Azimuthal Integration scripts - Python2
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 2 version of the package.

Package: python-pyfai-dbg
Architecture: any
Section: debug
Depends: python-fabio-dbg (>= 0.3.0+dfsg-1~),
         python-h5py-dbg,
         python-matplotlib-dbg,
         python-numexpr-dbg,
         python-numpy-dbg,
         python-pyfai (= ${binary:Version}),
         python-pyopencl-dbg,
         python-pyqt5-dbg,
         python-scipy-dbg,
         python-silx-dbg,
         python-tk-dbg,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Fast Azimuthal Integration scripts - Python2 debug
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This package contains the extension built for the Python 2 debug
 interpreter.

Package: python3-pyfai
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Fast Azimuthal Integration scripts - Python3
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 3 version of the package.

Package: python3-pyfai-dbg
Architecture: any
Section: debug
Depends: python3-fabio-dbg,
         python3-h5py-dbg,
         python3-matplotlib-dbg,
         python3-numexpr-dbg,
         python3-numpy-dbg,
         python3-pyfai (= ${binary:Version}),
         python3-pyopencl-dbg,
         python3-pyqt5-dbg,
         python3-scipy-dbg,
         python3-silx-dbg,
         python3-tk-dbg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Fast Azimuthal Integration scripts - Python3 debug
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-pyfai-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Fast Azimuthal Integration scripts - Documentation
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=pyfai
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export POCL_CACHE_DIR=$(CURDIR)/.cache/
export XDG_CACHE_HOME=$(POCL_CACHE_DIR)

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log
	rm -rf $(POCL_CACHE_DIR)

override_dh_auto_build:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_build
	pybuild --build -s custom -p $(PY3VER) --build-args="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man"

override_dh_auto_test:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' WITH_QT_TEST=False PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py --low-mem --installed" dh_auto_test

override_dh_install:
	dh_numpy
	dh_numpy3

	# install scripts into pyfai
	python3 setup.py install_scripts -d debian/pyfai/usr/bin

	# Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p pyfai build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	pybuild --build -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
	dh_installdocs "doc/build/html" -p python-pyfai-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pyfai 0.18.0~adev1

=== debian/changelog ===
pyfai (0.18.0~adev1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * pyFAI snapshot 0.18.0-dev1 built for debian8

 -- edna tester <tester@edna-site.org>  Wed, 24 Apr 2019 04:33:52 +0200

pyfai (0.18.0~adev1-1) UNRELEASED; urgency=medium

  * upstream development build of pyFAI 0.18.0-dev1

 -- edna tester <tester@edna-site.org>  Wed, 24 Apr 2019 04:33:52 +0200

## pyfai 0.19.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -4,38 +4,10 @@
            Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: cython,
-               cython-dbg,
-               cython3,
+Build-Depends: cython3,
                cython3-dbg,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-python,
-               help2man,
-               libjs-mathjax,
-               pandoc <!nodoc>,
-               python-all-dbg,
-               python-all-dev,
-               python-fabio (>= 0.3.0+dfsg-1~),
-               python-fabio-dbg (>= 0.3.0+dfsg-1~),
-               python-h5py,
-               python-h5py-dbg,
-               python-matplotlib,
-               python-matplotlib-dbg,
-               python-numexpr,
-               python-numexpr-dbg,
-               python-numpy,
-               python-numpy-dbg,
-               python-pyopencl,
-               python-pyopencl-dbg,
-               python-pyqt5,
-               python-pyqt5-dbg,
-               python-scipy,
-               python-scipy-dbg,
-               python-setuptools,
-               python-silx (>= 0.8.0),
-               python-silx-dbg (>= 0.8.0),
-               python-tk,
-               python-tk-dbg,
                python3-all-dbg,
                python3-all-dev,
                python3-fabio,
@@ -44,7 +16,6 @@
                python3-h5py-dbg,
                python3-matplotlib,
                python3-matplotlib-dbg,
-               python3-nbsphinx <!nodoc>,
                python3-numexpr,
                python3-numexpr-dbg,
                python3-numpy,
@@ -56,15 +27,19 @@
                python3-scipy,
                python3-scipy-dbg,
                python3-setuptools,
-               python3-silx (>= 0.8.0),
-               python3-silx-dbg (>= 0.8.0),
+               python3-silx (>= 0.10.1),
+               python3-silx-dbg (>= 0.10.1),
                python3-sphinx,
-               python3-sphinxcontrib.programoutput,
                python3-tk,
                python3-tk-dbg,
                xauth,
                xvfb
-Standards-Version: 4.2.1
+Build-Depends-Indep: help2man,
+                     libjs-mathjax,
+                     pandoc,
+                     python3-nbsphinx,
+                     python3-sphinxcontrib.programoutput
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/pyfai
 Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
 Homepage: https://github.com/silx-kit/pyFAI
@@ -92,72 +67,10 @@
  (transmission, reflection, off-axis, ...). It uses the Python library FabIO
  to read most images taken by diffractometer.
 
-Package: python-pyfai
-Architecture: any
-Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Breaks: pyfai (<< 0.11.0+dfsg-2), ${python:Breaks}
-Replaces: pyfai (<< 0.11.0+dfsg-2)
-Description: Fast Azimuthal Integration scripts - Python2
- PyFAI is a Python library for azimuthal integration; it allows the conversion
- of diffraction images taken with 2D detectors like CCD cameras into X-Ray
- powder patterns that can be used by other software like Rietveld refinement
- tools (i.e. FullProf), phase analysis or texture analysis.
- .
- As PyFAI is a library, its main goal is to be integrated in other tools like
- PyMca, LiMa or EDNA. To perform online data analysis, the precise description
- of the experimental setup has to be known. This is the reason why PyFAI
- includes geometry optimization code working on "powder rings" of reference
- samples. Alternatively, PyFAI can also import geometries fitted with other
- tools like Fit2D.
- .
- PyFAI has been designed to work with any kind of detector with any geometry
- (transmission, reflection, off-axis, ...). It uses the Python library FabIO
- to read most images taken by diffractometer.
- .
- This is the Python 2 version of the package.
-
-Package: python-pyfai-dbg
-Architecture: any
-Section: debug
-Depends: python-fabio-dbg (>= 0.3.0+dfsg-1~),
-         python-h5py-dbg,
-         python-matplotlib-dbg,
-         python-numexpr-dbg,
-         python-numpy-dbg,
-         python-pyfai (= ${binary:Version}),
-         python-pyopencl-dbg,
-         python-pyqt5-dbg,
-         python-scipy-dbg,
-         python-silx-dbg,
-         python-tk-dbg,
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Description: Fast Azimuthal Integration scripts - Python2 debug
- PyFAI is a Python library for azimuthal integration; it allows the conversion
- of diffraction images taken with 2D detectors like CCD cameras into X-Ray
- powder patterns that can be used by other software like Rietveld refinement
- tools (i.e. FullProf), phase analysis or texture analysis.
- .
- As PyFAI is a library, its main goal is to be integrated in other tools like
- PyMca, LiMa or EDNA. To perform online data analysis, the precise description
- of the experimental setup has to be known. This is the reason why PyFAI
- includes geometry optimization code working on "powder rings" of reference
- samples. Alternatively, PyFAI can also import geometries fitted with other
- tools like Fit2D.
- .
- PyFAI has been designed to work with any kind of detector with any geometry
- (transmission, reflection, off-axis, ...). It uses the Python library FabIO
- to read most images taken by diffractometer.
- .
- This package contains the extension built for the Python 2 debug
- interpreter.
-
 Package: python3-pyfai
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Depends: python3-pyqt5, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts - Python3
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -189,7 +102,7 @@
          python3-pyopencl-dbg,
          python3-pyqt5-dbg,
          python3-scipy-dbg,
-         python3-silx-dbg,
+         python3-silx-dbg (>= 0.10.1),
          python3-tk-dbg,
          ${misc:Depends},
          ${python3:Depends},
@@ -216,6 +129,7 @@
 
 Package: python-pyfai-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Fast Azimuthal Integration scripts - Documentation

## pyfai 0.19.0+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,7 @@
 numexpr
 h5py
 silx
+PyOpenGL
+PyQt5
+hdf5plugin
+wheel

=== debian/changelog ===
pyfai (0.19.0+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:08 +0100

pyfai (0.19.0+dfsg1-1) unstable; urgency=medium

  [ Steffen Möller ]
  * Add new file with ref to conda

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.19.0+dfsg1
  * d/control: Used dh-sequence-python3.
  * d/patches: Refreshed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 01 Feb 2020 15:35:39 +0100

pyfai (0.18.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * keep python3-sphinx in general Build-Depends.
    Required to define dh sphinxdoc addon.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Sep 2019 10:03:42 +0800

pyfai (0.18.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * only build docs for arch-indep builds
  * mark python-pyfai-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Sep 2019 02:57:00 +0800

pyfai (0.18.0+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Picca Frédéric-Emmanuel ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python 2 support; Closes: #937436
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)
  * debian/rules
    - add debug symbols to the -dbg package

  [ Drew Parsons ]
  * add debian patch test_split_bbox_2d-fix_zero_test.patch to test
    zero within machine precision in test_split_bbox_2d
    (cf. upstream issue #1111)
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Sep 2019 17:48:55 +0800

pyfai (0.18.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 0.18.0+dfsg1
  * d/control
    - Build-Depends on python[3]-silx[-dbg] >= 0.10.1
    - Bumped Standards-Version 4.3.0 (nothing to do)
    - Switched to compat level 11
  * d/patches
    - Refreshed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2019 11:26:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=pyfai
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
export POCL_CACHE_DIR=$(CURDIR)/.cache/
export XDG_CACHE_HOME=$(POCL_CACHE_DIR)

# to remove once the pocl bug is solved
# https://github.com/silx-kit/pyFAI/issues/1319
export PYFAI_OPENCL=False

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log
	rm -rf $(POCL_CACHE_DIR)

override_dh_auto_build-arch:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_build -- -s custom -p $(PY3VER) --build-args="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man"

override_dh_auto_test: export http_proxy=127.0.0.1:9
override_dh_auto_test: export https_proxy=127.0.0.1:9
override_dh_auto_test:
	mkdir -p $(POCL_CACHE_DIR) # create POCL cachedir in order to avoid an FTBFS in sbuild
	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} WITH_QT_TEST=False PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py -v --low-mem --installed"

override_dh_install:
	dh_numpy3

	# install scripts into pyfai
	python3 setup.py install_scripts -d debian/pyfai/usr/bin

	# Finally install stuff
	dh_install

override_dh_installman:
	dh_installman -p pyfai build/man/*.1

override_dh_sphinxdoc-indep: export http_proxy=127.0.0.1:9
override_dh_sphinxdoc-indep: export https_proxy=127.0.0.1:9
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml source build/html"
	dh_installdocs "doc/build/html" -p python-pyfai-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-pyfai --dbg-package=python3-pyfai-dbg
endif

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; export PYFAI_OPENCL=False
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py run_tests.py -vv -m --installed
 ; done
Depends: python3-all, python3-pyfai, xauth, xvfb
Restrictions: allow-stderr

Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; export PYFAI_OPENCL=False
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg run_tests.py -vv -m --installed
 ; done
Depends: python3-all-dbg, python3-pyfai-dbg, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*// \
https://pypi.python.org/packages/source/p/pyFAI/ \
 pyFAI@ANY_VERSION@(?:_src)?@ARCHIVE_EXT@ debian uupdate

## pyfai 0.20.0+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 PyQt5
 hdf5plugin
 wheel
+transformations
+nbsphinx

=== debian/changelog ===
pyfai (0.20.0+dfsg1-3) unstable; urgency=medium

  * Added upstream patch to fix i386 FTBFS
  * Bug fix: "FTBFS on 32 bit archs: OverflowError: Python int too large
    to convert to C ssize_t", thanks to Sebastian Ramacher (Closes:
    #981494).
  * Bug fix: "pyfai fails tests with Python 3.8", thanks to Matthias Klose
    (Closes: #945411).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 02 Feb 2021 10:27:14 +0100

pyfai (0.20.0+dfsg1-2) unstable; urgency=medium

  * d/p/0005-upstream-fix-for-32bits-patforms.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 01 Feb 2021 14:27:26 +0100

pyfai (0.20.0+dfsg1-1) unstable; urgency=medium

  * fixed build option name nodocs -> nodoc
  * New upstream version 0.20.0+dfsg1
  * d/control: Added Build-Depends-Indep python3-sphinx-rtd-theme
  * d/t/control: Marked all tests skip-not-installable since pyopencl is
    not available on all architectures.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 29 Jan 2021 14:42:23 +0100

pyfai (0.19.0+dfsg1-3) unstable; urgency=medium

  * d/t/control: less verbosity for now

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 29 Feb 2020 12:08:19 +0100

pyfai (0.19.0+dfsg1-2) unstable; urgency=medium

  * d/t/control: Added the missing python3-tk and python3-tk-dbg.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Feb 2020 14:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
                      libjs-mathjax,
                      pandoc,
                      python3-nbsphinx,
+                     python3-sphinx-rtd-theme,
                      python3-sphinxcontrib.programoutput
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/pyfai

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 override_dh_sphinxdoc-indep: export http_proxy=127.0.0.1:9
 override_dh_sphinxdoc-indep: export https_proxy=127.0.0.1:9
 override_dh_sphinxdoc-indep:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	dh_auto_build -- -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml source build/html"
 	dh_installdocs "doc/build/html" -p python-pyfai-doc
 	dh_sphinxdoc -O--buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; export PYFAI_OPENCL=False
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py run_tests.py -v -m --installed
 ; done
Depends: python3-all, python3-pyfai, python3-tk, xauth, xvfb
Restrictions: allow-stderr, skip-not-installable

Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; export PYFAI_OPENCL=False
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py-dbg run_tests.py -v -m --installed
 ; done
Depends: python3-all-dbg, python3-pyfai-dbg, python3-tk-dbg, xauth, xvfb
Restrictions: allow-stderr, skip-not-installable

## pyfai 0.21.0~adev0

=== debian/changelog ===
pyfai (0.21.0~adev0-1~bpo10+1) buster-backports; urgency=medium

  * upstream development build of pyFAI 0.21.0-dev0
  * pyFAI snapshot 0.21.0-dev0 built for debian10

 -- edna tester <tester@edna-site.org>  Mon, 06 Sep 2021 04:33:32 +0200

## pyfai 0.21.1%2Bdfsg1

=== debian/changelog ===
pyfai (0.21.1+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only 

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 10 Mar 2022 15:06:46 +0000

pyfai (0.21.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.21.1+dfsg1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Feb 2022 13:51:42 +0100

pyfai (0.21.0+dfsg1-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.21.0+dfsg1
  * Bug fix: "Uses old name of sip module", thanks to Dmitry Shachnev
    (Closes: #966040).
  * Trim trailing whitespace.
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Jan 2022 12:34:03 +0100

pyfai (0.20.0+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Python 3.10 support, thanks Lukas Märdian. (Closes: #1000204)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Nov 2021 22:01:51 -0400

pyfai (0.20.0+dfsg1-4) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994327).
  * use dh-sequence-[numpy3,python3,sphinxdoc]

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 13:57:57 +0200

## pyfai 0.21.1+dfsg1

=== debian/control ===
Source: pyfai
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Jerome Kieffer <jerome.kieffer@esrf.fr>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cython3,
 debhelper,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 python3-all-dev,
 python3-fabio,
 python3-h5py,
 python3-matplotlib,
 python3-numexpr,
 python3-numpy,
 python3-pyopencl,
 python3-pyqt5,
 python3-scipy,
 python3-setuptools,
 python3-silx (>= 0.10.1),
 python3-sphinx,
 python3-tk,
 xauth,
 xvfb,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 help2man,
 libjs-mathjax,
 pandoc,
 python3-nbsphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.programoutput,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/pyfai
Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
Homepage: https://github.com/silx-kit/pyFAI

Package: pyfai
Architecture: all
Depends:
 python3-pyfai (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.

Package: python3-pyfai
Architecture: any
Section: python
Depends:
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Fast Azimuthal Integration scripts - Python3
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 3 version of the package.

Package: python-pyfai-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Fast Azimuthal Integration scripts - Documentation
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=pyfai
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
# to remove once the pocl bug is solved
# https://github.com/silx-kit/pyFAI/issues/1319
export PYFAI_OPENCL=False

# get the default python3 interpreter version
PY3VER := $(shell py3versions -dv)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
	-dh_auto_build -- -s custom -p $(PY3VER) --build-args="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man"

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -s custom -p $(PY3VER) --build-args="cd doc && env PYTHONPATH={build_dir} {interpreter} -m sphinx -N -bhtml source build/html"
endif

override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} WITH_QT_TEST=False PYFAI_TESTIMAGES=testimages PYFAI_DATA=$(shell pwd) xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py -v --low-mem --installed"

execute_after_dh_install:
	# install scripts into pyfai
	python3 setup.py install_scripts -d debian/pyfai/usr/bin

execute_after_dh_installman:
	dh_installman -p pyfai build/man/*.1

execute_after_dh_installdocs:
	dh_installdocs -p python-pyfai-doc "doc/build/html"

## pyfai 0.21.3+dfsg1

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 matplotlib
 numexpr
 h5py
-silx
+silx >=0.15.2
 PyOpenGL
 PyQt5
 hdf5plugin

=== debian/changelog ===
pyfai (0.21.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Fix test skipping to fix build on mips64el.

 -- Roland Mas <lolando@debian.org>  Wed, 22 Feb 2023 13:27:09 +0100

pyfai (0.21.3+dfsg1-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watch file
  * Fetch upstream patch to skip tests that are unreliable on 32-bit platforms
    by default
    Closes: #1018811
  * Standards-Version: 4.6.2 (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Roland Mas ]
  * Team upload.

 -- Roland Mas <lolando@debian.org>  Sun, 19 Feb 2023 15:28:05 +0100

pyfai (0.21.3+dfsg1-2) unstable; urgency=medium

  * migrate to setuptools > 60 (Closes: #1020073)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 02 Nov 2022 11:21:44 +0100

pyfai (0.21.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.21.3+dfsg1
  * Bug fix: "autopkgtest regression on armhf: images have different
    dimensions", thanks to Paul Gevers (Closes: #1004509).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 24 Mar 2022 20:11:09 +0100

pyfai (0.21.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.21.2+dfsg1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 23 Mar 2022 11:19:53 +0100

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  python3-matplotlib,
  python3-numexpr,
  python3-numpy,
+ python3-pip,
  python3-pyopencl,
  python3-pyqt5,
  python3-scipy,
@@ -36,10 +37,11 @@
  python3-nbsphinx,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.programoutput,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pyfai
 Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
 Homepage: https://github.com/silx-kit/pyFAI
+Rules-Requires-Root: no
 
 Package: pyfai
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export DH_VERBOSE=1
 
 export PYBUILD_NAME=pyfai
+#export PYBUILD_SYSTEM=distutils
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/
 # to remove once the pocl bug is solved
 # https://github.com/silx-kit/pyFAI/issues/1319

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; export PYFAI_OPENCL=False
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py run_tests.py -v -m --installed
 ; done
Depends:
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=auto \
https://pypi.python.org/simple/pyFAI .*/pyFAI-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## pyfai 0.22.0~adev0

=== debian/changelog ===
pyfai (0.22.0~adev0-1~bpo10+1) buster-backports; urgency=medium

  * upstream development build of pyFAI 0.22.0-dev0
  * pyFAI snapshot 0.22.0-dev0 built for debian10

 -- edna tester <tester@edna-site.org>  Thu, 24 Mar 2022 11:57:09 +0100

## pyfai 0.22.0~adev6

=== debian/changelog ===
pyfai (0.22.0~adev6-1~bpo10+1) buster-backports; urgency=medium

  * upstream development build of pyFAI 0.22.0-dev6
  * pyFAI snapshot 0.22.0-dev6 built for debian10

 -- edna tester <tester@edna-site.org>  Sat, 02 Jul 2022 04:34:27 +0200

## pyfai 0.22.0~adev7

=== debian/changelog ===
pyfai (0.22.0~adev7-1~bpo10+1) buster-backports; urgency=medium

  * upstream development build of pyFAI 0.22.0-dev7
  * pyFAI snapshot 0.22.0-dev7 built for debian10

 -- edna tester <tester@edna-site.org>  Thu, 01 Sep 2022 04:46:17 +0200

## pyfai 2023.3.0

=== debian/changelog ===
pyfai (2023.3.0-1~bpo11+1) bullseye-backports; urgency=medium

  * upstream development build of pyFAI 2023.3.0
  * pyFAI snapshot 2023.3.0 built for debian11

 -- edna tester <tester@edna-site.org>  Tue, 21 Mar 2023 04:35:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,55 +1,42 @@
 Source: pyfai
-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
-Uploaders:
- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
- Jerome Kieffer <jerome.kieffer@esrf.fr>,
- Picca Frédéric-Emmanuel <picca@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
+           Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Priority: optional
-Build-Depends:
- cython3,
- debhelper,
- debhelper-compat (= 13),
- dh-python,
- dh-sequence-numpy3,
- dh-sequence-python3,
- python3-all-dev,
- python3-fabio,
- python3-h5py,
- python3-matplotlib,
- python3-numexpr,
- python3-numpy,
- python3-pip,
- python3-pyopencl,
- python3-pyqt5,
- python3-scipy,
- python3-setuptools,
- python3-silx (>= 0.10.1),
- python3-sphinx,
- python3-tk,
- xauth,
- xvfb,
-Build-Depends-Indep:
- dh-sequence-sphinxdoc <!nodoc>,
- help2man,
- libjs-mathjax,
- pandoc,
- python3-nbsphinx,
- python3-sphinx-rtd-theme,
- python3-sphinxcontrib.programoutput,
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/science-team/pyfai
-Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
-Homepage: https://github.com/silx-kit/pyFAI
-Rules-Requires-Root: no
+Priority: extra
+Build-Depends: cython3 (>=0.29.31),
+               cython3-dbg,
+               debhelper,
+               dh-python,
+               python3-all-dev,
+               python3-fabio,
+               python3-silx,
+               python3-lxml,
+               python3-matplotlib,
+               python3-numpy,
+               python3-pyqt5|python3-pyqt4|python3-pyside,
+               python3-scipy,
+               python3-sphinx,
+               python3-sphinxcontrib.programoutput,
+               python3-nbconvert,
+               python3-nbsphinx,
+               python3-sphinx-rtd-theme,
+               python3-setuptools,
+               help2man,
+               devscripts
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pyfai.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/pyfai.git
+Homepage: http://forge.epn-campus.eu/projects/azimuthal
+X-Python3-Version: >= 3.5
 
 Package: pyfai
 Architecture: all
-Depends:
- python3-pyfai (>= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         python3-pkg-resources,
+         python3-pyfai (>= ${source:Version})
 Description: Fast Azimuthal Integration scripts
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -70,11 +57,17 @@
 Package: python3-pyfai
 Architecture: any
 Section: python
-Depends:
- python3-pyqt5,
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+         python3-fabio (>= 0.5),
+         python3-pil,
+         python3-matplotlib,
+         python3-scipy,
+         python3-silx (>=0.10)
+Recommends: python3-pyopencl,
+            python3-pyqt5|python3-pyside
+Suggests: python3-h5py
 Description: Fast Azimuthal Integration scripts - Python3
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -94,14 +87,12 @@
  .
  This is the Python 3 version of the package.
 
-Package: python-pyfai-doc
+Package: pyfai-doc
 Architecture: all
-Multi-Arch: foreign
 Section: doc
-Depends:
- libjs-mathjax,
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Replaces: python-pyfai-doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Fast Azimuthal Integration scripts - Documentation
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
